import 'authing.dart';
import 'util.dart';
import 'user.dart';
import 'result.dart';
import 'package:http/http.dart' as http;
import 'dart:convert';

class AuthClient {
  static Future<AuthResult> loginByAccount(String account, String password) async {
    String encryptedPassword = Util.encrypt(password);
    var url = Uri.parse('https://' + Authing.sHost + '/api/v2/login/account');
    var response = await http.post(url,
        headers: {
          "x-authing-userpool-id": Authing.sUserPoolId,
          "x-authing-app-id": Authing.sAppId,
          "x-authing-request-from": "SDK@Flutter@" + Authing.VERSION,
          "content-type": "application/json"
        },
        body: jsonEncode({'account': account, 'password': encryptedPassword})
    );

    AuthResult result = AuthResult();
    if (response.statusCode == 200 || response.statusCode == 201) {
      final Map parsed = jsonDecode(response.body);
      result.code = parsed["code"] as int;
      result.user = User.create(parsed["data"] as Map);
      print(result.user.id);
    } else {
      result.code = response.statusCode;
    }
    return result;
  }
}